package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum AcaoTela implements EnumClass<String> {

    INCLUSAO("I"),
    ALTERACAO("A"),
    CONSULTA("C");

    private String id;

    AcaoTela(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static AcaoTela fromId(String id) {
        for (AcaoTela at : AcaoTela.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}