package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum OrigemTitulo implements EnumClass<Integer> {

    PARCELA_PEDIDO(10),
    DIFERENCA_PEDIDO(20);

    private Integer id;

    OrigemTitulo(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static OrigemTitulo fromId(Integer id) {
        for (OrigemTitulo at : OrigemTitulo.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}