package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum Situacao implements EnumClass<Integer> {

    ATIVO(10),
    BLOQUEADO(20),
    INATIVO(30);

    private Integer id;

    Situacao(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static Situacao fromId(Integer id) {
        for (Situacao at : Situacao.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}