package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SituacaoIntegrador implements EnumClass<Integer> {

    PENDENTE(10),
    ATIVO(20),
    BLOQUEADO(30),
    CANCELADO(40);

    private Integer id;

    SituacaoIntegrador(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static SituacaoIntegrador fromId(Integer id) {
        for (SituacaoIntegrador at : SituacaoIntegrador.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}