package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SituacaoTraducao implements EnumClass<Integer> {

    PENDENTE(10),
    TRADUZIDO(20),
    TRADUZIDO_API(30),
    COPIADO(40);

    private Integer id;

    SituacaoTraducao(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static SituacaoTraducao fromId(Integer id) {
        for (SituacaoTraducao at : SituacaoTraducao.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}