package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.core.metamodel.annotation.NumberFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.util.UUID;

@JmixEntity
@Table(name = "TIPO_MOVIMENTO")
@Entity(name = "ga_TipoMovimento")
public class TipoMovimento {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @JmixGeneratedValue
    @NumberFormat(pattern = "###,##0")
    @Column(name = "CODIGO", nullable = false)
    @NotNull
    private Integer codigo;

    @Column(name = "DESCRICAO", nullable = false, length = 100)
    @NotNull
    private String descricao;

    @Column(name = "ENTRADA_SAIDA", nullable = false)
    @NotNull
    private String entradaSaida;

    public EntradaSaida getEntradaSaida() {
        return entradaSaida == null ? null : EntradaSaida.fromId(entradaSaida);
    }

    public void setEntradaSaida(EntradaSaida entradaSaida) {
        this.entradaSaida = entradaSaida == null ? null : entradaSaida.getId();
    }

    public String getDescricao() {
        return descricao;
    }

    public void setDescricao(String descricao) {
        this.descricao = descricao;
    }

    public Integer getCodigo() {
        return codigo;
    }

    public void setCodigo(Integer codigo) {
        this.codigo = codigo;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    @InstanceName
    @DependsOnProperties({"descricao"})
    public String getInstanceName() {
        return String.format("%s", descricao);
    }
}