package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TipoOperacao implements EnumClass<Integer> {

    BAIXA_CONSUMO(10),
    PERDA(20),
    TRANSFERENCIA_SAIDA(30),
    TRANSFERENCIA_ENTRADA(40),
    CONSUMO_FUNCIONARIO(50);

    private Integer id;

    TipoOperacao(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TipoOperacao fromId(Integer id) {
        for (TipoOperacao at : TipoOperacao.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}