package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TipoVencimento implements EnumClass<Integer> {

    AVISTA(10),
    MANUAL(20);

    private Integer id;

    TipoVencimento(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TipoVencimento fromId(Integer id) {
        for (TipoVencimento at : TipoVencimento.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}