package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum EntradaSaida implements EnumClass<String> {

    ENTRADA("E"),
    SAIDA("S");

    private String id;

    EntradaSaida(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static EntradaSaida fromId(String id) {
        for (EntradaSaida at : EntradaSaida.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}