package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum Linguagem implements EnumClass<String> {

    INGLES("en"),
    PORTUGUES_BR("br");

    private String id;

    Linguagem(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static Linguagem fromId(String id) {
        for (Linguagem at : Linguagem.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}