package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum OrigemMovEst implements EnumClass<Integer> {

    NOTA_ENTRADA(10),
    INVENTARIO(20),
    PEDIDO(30),
    BAIXA_CONSUMO(40),
    PERDA(50),
    TRANSFERENCIA_SAIDA(60),
    TRANSFERENCIA_ENTRADA(70),
    CONSUMO_FUNCIONARIO(80);

    private Integer id;

    OrigemMovEst(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static OrigemMovEst fromId(Integer id) {
        for (OrigemMovEst at : OrigemMovEst.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}