package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum Periodo implements EnumClass<Integer> {

    MANHA(10),
    TARDE(20),
    NOITE(30);

    private Integer id;

    Periodo(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static Periodo fromId(Integer id) {
        for (Periodo at : Periodo.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}