package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum RegistroGerar implements EnumClass<Integer> {

    PENDENTE(10),
    GERADO(20);

    private Integer id;

    RegistroGerar(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static RegistroGerar fromId(Integer id) {
        for (RegistroGerar at : RegistroGerar.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}