package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SituacaoOperacao implements EnumClass<Integer> {

    PENDENTE(10),
    CONFIRMADO(20),
    CANCELADO(30);

    private Integer id;

    SituacaoOperacao(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static SituacaoOperacao fromId(Integer id) {
        for (SituacaoOperacao at : SituacaoOperacao.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}