package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SituacaoPagamento implements EnumClass<Integer> {

    PENDENTE(10),
    PAGO(20),
    CREDITO_DISPONIVEL(30),
    CREDITO_UTILIZADO(40);

    private Integer id;

    SituacaoPagamento(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static SituacaoPagamento fromId(Integer id) {
        for (SituacaoPagamento at : SituacaoPagamento.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}