package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SituacaoPedido implements EnumClass<Integer> {

    PENDENTE(10),
    CONFIRMADO(20),
    AGUARDANDO_CHEGAR(30),
    RECEBIDO(40),
    CANCELADO(50);

    private Integer id;

    SituacaoPedido(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static SituacaoPedido fromId(Integer id) {
        for (SituacaoPedido at : SituacaoPedido.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}