package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SituacaoRegistro implements EnumClass<Integer> {

    PENDENTE(10),
    INFORMADO(20),
    EDITAR(30),
    EDITAR_SEM(40),
    ESTOQUE_GERADO(50);

    private Integer id;

    SituacaoRegistro(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static SituacaoRegistro fromId(Integer id) {
        for (SituacaoRegistro at : SituacaoRegistro.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}