package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SituacaoTitulo implements EnumClass<Integer> {

    ABERTO(10),
    LIQUIDADO(20),
    CANCELADO(30),
    LIQUIDADO_PARCIAL(40);

    private Integer id;

    SituacaoTitulo(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static SituacaoTitulo fromId(Integer id) {
        for (SituacaoTitulo at : SituacaoTitulo.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}