package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TipoContrato implements EnumClass<Integer> {

    PAGAR(10),
    RECEBER(20);

    private Integer id;

    TipoContrato(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TipoContrato fromId(Integer id) {
        for (TipoContrato at : TipoContrato.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}