package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TipoFaturamento implements EnumClass<Integer> {

    MENSAL(10),
    QUINZENAL(20),
    BIMESTRAL(30),
    TRIMESTRAL(40),
    SEMESTRAL(50),
    ANUAL(60);

    private Integer id;

    TipoFaturamento(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TipoFaturamento fromId(Integer id) {
        for (TipoFaturamento at : TipoFaturamento.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}