package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TipoIntegrador implements EnumClass<Integer> {

    AUTOSYSTEM(10),
    TACGAS(20),
    ESTACIONAMENTO(30),
    LEVILO(40);

    private Integer id;

    TipoIntegrador(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TipoIntegrador fromId(Integer id) {
        for (TipoIntegrador at : TipoIntegrador.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}