package br.inf.mfp.gestaoadministrativa.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TipoValor implements EnumClass<Integer> {

    PERCENTUAL(10),
    VALOR(20);

    private Integer id;

    TipoValor(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static TipoValor fromId(Integer id) {
        for (TipoValor at : TipoValor.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}