package br.inf.mfp.gestaoadministrativa.security;

import io.jmix.security.model.EntityAttributePolicyAction;
import io.jmix.security.model.EntityPolicyAction;
import io.jmix.security.role.annotation.*;
import io.jmix.securityui.role.annotation.ScreenPolicy;
import io.jmix.ui.component.GroupFilter;
import io.jmix.ui.entity.GroupFilterCondition;
import io.jmix.uidata.entity.FilterConfiguration;

@ResourceRole(name = "UsarFiltros", code = "usar-filtros", scope = "UI")
public interface UsarFiltrosRole {

    //@EntityPolicy(entityClass = ui_FilterConfiguration
    @EntityAttributePolicy(entityClass = FilterConfiguration.class, attributes = "*", action = EntityAttributePolicyAction.MODIFY)
    @EntityPolicy(entityClass = FilterConfiguration.class, actions = EntityPolicyAction.ALL)
    void filtros();
    @EntityAttributePolicy(entityClass = GroupFilterCondition.class, attributes = "*", action = EntityAttributePolicyAction.MODIFY)
    @EntityPolicy(entityClass = GroupFilterCondition.class, actions = EntityPolicyAction.ALL)
    void filtrosGrupo();
}